# Class CIM_StaticIPAssignmentSettingData
extends CIM_IPAssignmentSettingData

CIM_StaticIPAssignmentSettingData defines a basic IP configuration which could be statically assigned to an IPProtocolEndpoint. This class defines a partial configuration. Instances are aggregated into an instance of IPAssignmentSettingData which defines a full configuration.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_IPAssignmentSettingData
|
+--CIM_StaticIPAssignmentSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_StaticIPAssignmentSettingData defines a basic IP configuration which could be statically assigned to an IPProtocolEndpoint. This class defines a partial configuration. Instances are aggregated into an instance of IPAssignmentSettingData which defines a full configuration.
UMLPackagePath | string | CIM::Network::IP
Version | string | 2.27.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AddressOrigin | uint16 | 3
Description | string | AddressOrigin identifies the method by which the IP Address, Subnet Mask, and Gateway were assigned to the IPProtocolEndpoint. A value of 2 indicates that the application of the IPAssignmentSettingData instance does not affect these properties.
Override | string | AddressOrigin
ValueMap | string | 0..2, 3, 4..32767, 32768..
Values | string | DMTF Reserved, Static, DMTF Reserved, Vendor Reserved
GatewayIPv4Address | string |
Description | string | The IP v4 address of the default gateway.
Write | boolean | true
GatewayIPv6Address | string |
Description | string | GatewayIPv6Address is used to identify the IPv6 address of the Gateway
Write | boolean | true
IPv4Address | string |
Description | string | The IPv4 address that will be assigned to the ProtocolEndpoint.
Write | boolean | true
IPv6Address | string |
Description | string | The IPv6 address that this ProtocolEndpoint represents.
ModelCorrespondence | string | CIM_StaticIPAssignmentSettingData.IPv6AddressType, CIM_StaticIPAssignmentSettingData.IPv6SubnetPrefixLength
Write | boolean | true
IPv6AddressType | uint16 |
Description | string | IPv6AddressType identifies the type of address found in the IPv6Address property of this class. The values of this property shall be interpreted according to RFC4291, Section 2.4
ModelCorrespondence | string | CIM_StaticIPAssignmentSettingData.IPv6AddressType
ValueMap | string | 2, 3, 4, 5, 6, 7, 8, .., 32768..65535
Values | string | Unspecified, Loopback, Multicast, Link Local Unicast, Global Unicast, Embedded IPv4 Address, Site Local Unicast, DMTF Reserved, Vendor Reserved
Write | boolean | true
IPv6SubnetPrefixLength | uint16 |
Description | string | IPv6SubnetPrefixLength is used to identify the prefix length of the IPv6Address property that is used to specify a subnet
ModelCorrespondence | string | CIM_StaticIPAssignmentSettingData.IPv6Address
Write | boolean | true
SubnetMask | string |
Description | string | The subnet mask for the IPv4 address of this ProtocolEndpoint, if one is defined.
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData
ProtocolIFType | uint16 | CIM_IPAssignmentSettingData

## Class Methods